Groovydoc task failing with 2.5.1

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Groovydoc task failing with 2.5.1

Paolo Di Tommaso
After upgrading to groovy 2.5.1 I'm getting the following error in my Gradle build: 


Execution failed for task ':nxf-commons:groovydoc'.
> java.lang.NoClassDefFoundError: groovy/text/TemplateEngine



Any idea what's wrong with that ? 


Cheers,
Paolo
 
Reply | Threaded
Open this post in threaded view
|

Re: Groovydoc task failing with 2.5.1

Paolo Di Tommaso
Fixed adding the following snippet in my gradle build file: 


    tasks.withType(Groovydoc) {
        groovyClasspath = project.configurations.groovyDoc
        includes  = ["nextflow/**"]
    } 


See more here


p

On Tue, Aug 21, 2018 at 3:54 PM Paolo Di Tommaso <[hidden email]> wrote:
After upgrading to groovy 2.5.1 I'm getting the following error in my Gradle build: 


Execution failed for task ':nxf-commons:groovydoc'.
> java.lang.NoClassDefFoundError: groovy/text/TemplateEngine



Any idea what's wrong with that ? 


Cheers,
Paolo